/************************************************************************\
**  multiserv.h - Multiple Internet Servers for Embedded Systems        **
**                                                                      **
**  Copyright (c) 2004 Christophe Blaess <ccb@club-internet.fr>         **
**    ---------------------------------------------------------------   **
**                                                                      **
** This program is free software; you can redistribute it and/or modify **
** it under the terms of the GNU General Public License as published by **
** the Free Software Foundation.                                        **
**                                                                      **
**  This program is distributed in the hope that it will be useful,     **
** but WITHOUT ANY WARRANTY; without even the implied warranty of       **
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        **
** GNU General Public License for more details.                         **
**                                                                      **
** You should have received a copy of the GNU General Public License    **
** along with this program; if not, write to the Free Software          **
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA             **
** 02111-1307  USA                                                      **
**                                                                      **
**    ---------------------------------------------------------------   **
**                                                                      **
** Ce programme est libre, vous pouvez le redistribuer et/ou le modifier**
** selon les termes de la Licence Publique Gnrale GNU publie par la  **
** Free Software Foundation.                                            **
**                                                                      **
** Ce programme est distribu car potentiellement utile, mais SANS      **
** AUCUNE GARANTIE, ni explicite ni implicite, y compris les garanties  **
** de commercialisation ou d'adaptation dans un but spcifique.         **
** Reportez-vous  la Licence Publique Gnrale GNU pour plus de dtails**
**                                                                      **
** Vous devez avoir reu une copie de la Licence Publique Gnrale GNU  **
** en mme temps que ce programme ; si ce n'est pas le cas, crivez    **
** la Free Software Foundation, Inc, 59 Temple Place, Suite 330, Boston **
** MA 02111-1307, tats-Unis.                                           **
**                                                                      **
\************************************************************************/


#ifndef MULTISERV_H
#define MULTISERV_H

#include "multiserv_config.h"
	
/* No more configuration parameter beyond this point */
	
	extern char *	multiserv_hostname;
	extern char *	multiserv_portname;
	extern int		multiserv_uid;
	extern int		multiserv_gid;

	extern char * multiserv_author;
	extern char * multiserv_version;
	
	#define MULTISERV_TCP	0
	#define MULTISERV_UDP	1
	
	void	multiserv_usage_global_options(char * server);

	#ifdef MULTISERV_LOG
		#define MULTISERV_LOG_MESSAGE	0
		#define MULTISERV_LOG_ERROR		1
		#define MULTISERV_LOG_DEBUG		2
	#endif
	void	multiserv_log(int level, char * server, char * message);
	#ifndef NDEBUG
		#define multiserv_debug(server,message);	multiserv_log(MULTISERV_LOG_DEBUG,server,message);
	#else
		#define multiserv_debug(server,message);
	#endif
	
#endif
